ByCloud Docs
GuidesCLIAPISDK
get/v1/database-backups

List database backups

List all database backups in the current organization

Query Parameters

limit

integeroptional

query

Maximum number of items to return

Default: 20

Example: 20

marker

string<uuid>optional

query

ID of the last item from the previous page (for pagination)

Example: "550e8400-e29b-41d4-a716-446655440000"

name

stringoptional

query

Filter by name (exact match or prefix with *)

Example: "web-*"

status

stringoptional

query

Filter by status

Example: "ACTIVE"

instance_id

string<uuid>optional

query

Filter by database instance ID

datastore_type

stringoptional

query

Filter by datastore type

Responses

200

List of database backups

Content-Type: application/json

database_backups

arrayoptional

meta

objectoptional

links

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/database-backups" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

List of database backups

{
"database_backups": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:database:backup:550e8400-e29b-41d4-a716-446655440000",
"name": "backup-2024-01-15",
"description": "string",
"status": "COMPLETED",
"instance_id": "550e8400-e29b-41d4-a716-446655440001",
"parent_id": "550e8400-e29b-41d4-a716-446655440000",
"size": 0,
"datastore": {
"type": "postgresql",
"version": "15.4",
"version_id": "550e8400-e29b-41d4-a716-446655440000"
},
"location_ref": "string",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"meta": {
"total": 150,
"limit": 20,
"marker": "550e8400-e29b-41d4-a716-446655440000",
"has_more": true
},
"links": {
"self": "https://api.spo1.mycloud.com/v1/instances?limit=20",
"next": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=550e8400-e29b-41d4-a716-446655440000",
"previous": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=440e8400-e29b-41d4-a716-446655440000"
}
}